Crystal Space: csPixmap Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPixmap Class Reference

This class is an simple set of inline routines good as an abstraction for simple 2D sprites. More...

`#include <cstool/cspixmap.h>`

Inheritance diagram for csPixmap:

[legend]
List of all members.

## Public Member Functions
virtual void | Advance (csTicks ElapsedTime)=0
| advance in time
void | Draw (iGraphics3D *g3d, int sx, int sy, uint8 Alpha=0)
| Draw the pixmap without rescale.
void | DrawAlign (iGraphics3D *g3d, int sx, int sy, int alnx, int alny, uint8 Alpha=0)
| Draw the pixmap without rescale (aligned).
virtual void | DrawScaled (iGraphics3D *g3d, int sx, int sy, int sw, int sh, uint8 Alpha=0)=0
| Draw the pixmap given the screen position and new size.
void | DrawScaledAlign (iGraphics3D *g3d, int sx, int sy, int sw, int sh, int alnx, int alny, uint8 Alpha=0)
| Draw the pixmap given the screen position and new size (aligned).
void | DrawTiled (iGraphics3D *g3d, int sx, int sy, int w, int h, uint8 Alpha=0)
| Fill a rectangle with the pixmap, tiled.
virtual void | DrawTiled (iGraphics3D *g3d, int sx, int sy, int sw, int sh, int orgx, int orgy, uint8 Alpha=0)=0
| Draw the pixmap tiled over an area.
virtual iTextureHandle * | GetTextureHandle ()=0
| return current texture handle
virtual int | Height ()=0
| return current height of this pixmap
virtual int | Width ()=0
| return current width of this pixmap
virtual | ~csPixmap ()
| Destructor.

## Detailed Description

This class is an simple set of inline routines good as an abstraction for simple 2D sprites.

Pixmaps can be drawn with a transparent key color as well as without transparent color: all this depends on texture handle. Note that this class is only used as the interface to several implementations of pixmaps, for example csSimplePixmap.

Definition at line 41 of file cspixmap.h.

## Constructor & Destructor Documentation

virtual csPixmap::~csPixmap | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 45 of file cspixmap.h.

## Member Function Documentation

virtual void csPixmap::Advance | ( | csTicks | ElapsedTime | ) | `[pure virtual]`

advance in time

Implemented in csAnimatedPixmap, and csSimplePixmap.

void csPixmap::Draw | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | uint8 | Alpha = `0` |
| ) |  |  | `[inline]`

Draw the pixmap without rescale.

Definition at line 64 of file cspixmap.h.

void csPixmap::DrawAlign | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | int | alnx,
|  | int | alny,
|  | uint8 | Alpha = `0` |
| ) |  |  | `[inline]`

Draw the pixmap without rescale (aligned).

Definition at line 67 of file cspixmap.h.

virtual void csPixmap::DrawScaled | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | int | sw,
|  | int | sh,
|  | uint8 | Alpha = `0` |
| ) |  |  | `[pure virtual]`

Draw the pixmap given the screen position and new size.

Implemented in csAnimatedPixmap, and csSimplePixmap.

void csPixmap::DrawScaledAlign | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | int | sw,
|  | int | sh,
|  | int | alnx,
|  | int | alny,
|  | uint8 | Alpha = `0` |
| ) |  |  | `[inline]`

Draw the pixmap given the screen position and new size (aligned).

Definition at line 60 of file cspixmap.h.

void csPixmap::DrawTiled | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | int | w,
|  | int | h,
|  | uint8 | Alpha = `0` |
| ) |  |  | `[inline]`

Fill a rectangle with the pixmap, tiled.

Definition at line 80 of file cspixmap.h.

virtual void csPixmap::DrawTiled | ( | iGraphics3D * | g3d,
|  | int | sx,
|  | int | sy,
|  | int | sw,
|  | int | sh,
|  | int | orgx,
|  | int | orgy,
|  | uint8 | Alpha = `0` |
| ) |  |  | `[pure virtual]`

Draw the pixmap tiled over an area.

multiple draw commands with the same texture and same origin values will align properly. The orgx and orgy point to a pixel (perhaps offscreen) where the (0,0) pixel of this pixmap would be drawn.

Implemented in csAnimatedPixmap, and csSimplePixmap.

virtual iTextureHandle* csPixmap::GetTextureHandle | ( |  | ) | `[pure virtual]`

return current texture handle

Implemented in csAnimatedPixmap, and csSimplePixmap.

virtual int csPixmap::Height | ( |  | ) | `[pure virtual]`

return current height of this pixmap

Implemented in csAnimatedPixmap, and csSimplePixmap.

virtual int csPixmap::Width | ( |  | ) | `[pure virtual]`

return current width of this pixmap

Implemented in csAnimatedPixmap, and csSimplePixmap.

The documentation for this class was generated from the following file:

- cstool/cspixmap.h